//--
// This file is part of Sonic Pi: http://sonic-pi.net
// Full project source: https://github.com/samaaron/sonic-pi
// License: https://github.com/samaaron/sonic-pi/blob/master/LICENSE.md
//
// Copyright 2013, 2014 by Sam Aaron (http://sam.aaron.name).
// All rights reserved.
//
// Permission is granted for use, copying, modification, distribution,
// and distribution of modified versions of this work as long as this
// notice is included.
//++

// AUTO-GENERATED-DOCS
// Do not manually add any code below this comment
// otherwise it may be removed

void MainWindow::initDocsWindow() {

  QString systemLocale = QLocale::system().name();

if (systemLocale.startsWith("de")) {

  // language de

  // tutorial info
  struct help_page tutorialHelpPages[] = {
    { "1 Willkommen bei Sonic Pi", NULL, "qrc:///help/tutorial_item_1.html"},
    { "   1.1 Live-Coding", NULL, "qrc:///help/tutorial_item_2.html"},
    { QString::fromUtf8("   1.2 Die Programmoberfläche von Sonic Pi"), NULL, "qrc:///help/tutorial_item_3.html"},
    { "   1.3 Spielend lernen", NULL, "qrc:///help/tutorial_item_4.html"},
    { "2 Synths", NULL, "qrc:///help/tutorial_item_5.html"},
    { QString::fromUtf8("   2.1 Eure ersten Klänge"), NULL, "qrc:///help/tutorial_item_6.html"},
    { "   2.2 Synth-Parameter", NULL, "qrc:///help/tutorial_item_7.html"},
    { "   2.3 Synths wechseln", NULL, "qrc:///help/tutorial_item_8.html"},
    { QString::fromUtf8("   2.4 Dauer und Hüllkurven"), NULL, "qrc:///help/tutorial_item_9.html"},
    { "3 Samples", NULL, "qrc:///help/tutorial_item_10.html"},
    { "   3.1 Samples ansteuern", NULL, "qrc:///help/tutorial_item_11.html"},
    { "   3.2 Sample-Parameter", NULL, "qrc:///help/tutorial_item_12.html"},
    { "   3.3 Samples dehnen", NULL, "qrc:///help/tutorial_item_13.html"},
    { "   3.4 Enveloped Samples", NULL, "qrc:///help/tutorial_item_14.html"},
    { "   3.5 Teil-Samples", NULL, "qrc:///help/tutorial_item_15.html"},
    { "   3.6 Samples aus externen Quellen", NULL, "qrc:///help/tutorial_item_16.html"},
    { "4 Randomisierung", NULL, "qrc:///help/tutorial_item_17.html"},
    { "5 Programmstrukturen", NULL, "qrc:///help/tutorial_item_18.html"},
    { "   5.1 Blocks", NULL, "qrc:///help/tutorial_item_19.html"},
    { "   5.2 Iteration und Schleifen", NULL, "qrc:///help/tutorial_item_20.html"},
    { "   5.3 Bedingungen", NULL, "qrc:///help/tutorial_item_21.html"},
    { "   5.4 Threads", NULL, "qrc:///help/tutorial_item_22.html"},
    { "   5.5 Funktionen", NULL, "qrc:///help/tutorial_item_23.html"},
    { "   5.6 Variablen", NULL, "qrc:///help/tutorial_item_24.html"},
    { "   5.7 Thread-Synchronisation", NULL, "qrc:///help/tutorial_item_25.html"},
    { "6 Effekte", NULL, "qrc:///help/tutorial_item_26.html"},
    { QString::fromUtf8("   6.1 FX hinzufügen"), NULL, "qrc:///help/tutorial_item_27.html"},
    { "   6.2 FX in der Praxis", NULL, "qrc:///help/tutorial_item_28.html"},
    { "7 Steuerung", NULL, "qrc:///help/tutorial_item_29.html"},
    { "   7.1 Laufende Synths steuern", NULL, "qrc:///help/tutorial_item_30.html"},
    { "   7.2 Effekte steuern", NULL, "qrc:///help/tutorial_item_31.html"},
    { "   7.3 Gleitende Parameter", NULL, "qrc:///help/tutorial_item_32.html"},
    { "8 Datenstrukturen", NULL, "qrc:///help/tutorial_item_33.html"},
    { "   8.1 Listen", NULL, "qrc:///help/tutorial_item_34.html"},
    { "   8.2 Akkorde", NULL, "qrc:///help/tutorial_item_35.html"},
    { "   8.3 Skalen", NULL, "qrc:///help/tutorial_item_36.html"},
    { "   8.4 Ringe", NULL, "qrc:///help/tutorial_item_37.html"},
    { "9 Live-Coding", NULL, "qrc:///help/tutorial_item_38.html"},
    { "   9.1 Live-Coding: Grundlagen", NULL, "qrc:///help/tutorial_item_39.html"},
    { "   9.2 Live-Loops", NULL, "qrc:///help/tutorial_item_40.html"},
    { "   9.3 Mehrere Live-Loops", NULL, "qrc:///help/tutorial_item_41.html"},
    { "10 Unentbehrliche Kenntnisse", NULL, "qrc:///help/tutorial_item_42.html"},
    { QString::fromUtf8("   10.1 Tastaturkürzel"), NULL, "qrc:///help/tutorial_item_43.html"},
    { QString::fromUtf8("   10.2 Cheatsheet für Tastaturkürzel"), NULL, "qrc:///help/tutorial_item_44.html"},
    { "   10.3 Teilen", NULL, "qrc:///help/tutorial_item_45.html"},
    { "   10.4 Auftritte", NULL, "qrc:///help/tutorial_item_46.html"},
    { "11 Minecraft Pi", NULL, "qrc:///help/tutorial_item_47.html"},
    { "   11.1 Basic API", NULL, "qrc:///help/tutorial_item_48.html"},
    { "12 Abschluss", NULL, "qrc:///help/tutorial_item_49.html"},
  };

  addHelpPage(createHelpTab(tr("Tutorial")), tutorialHelpPages, 49);

} else {

  // language en

  // tutorial info
  struct help_page tutorialHelpPages[] = {
    { "1 Welcome to Sonic Pi", NULL, "qrc:///help/tutorial_item_50.html"},
    { "   1.1 Live Coding", NULL, "qrc:///help/tutorial_item_51.html"},
    { "   1.2 Exploring the Interface", NULL, "qrc:///help/tutorial_item_52.html"},
    { "   1.3 Learning through Play", NULL, "qrc:///help/tutorial_item_53.html"},
    { "2 Synths", NULL, "qrc:///help/tutorial_item_54.html"},
    { "   2.1 Your First Beeps", NULL, "qrc:///help/tutorial_item_55.html"},
    { "   2.2 Synth Parameters", NULL, "qrc:///help/tutorial_item_56.html"},
    { "   2.3 Switching Synths", NULL, "qrc:///help/tutorial_item_57.html"},
    { "   2.4 Duration with Envelopes", NULL, "qrc:///help/tutorial_item_58.html"},
    { "3 Samples", NULL, "qrc:///help/tutorial_item_59.html"},
    { "   3.1 Triggering Samples", NULL, "qrc:///help/tutorial_item_60.html"},
    { "   3.2 Sample Parameters", NULL, "qrc:///help/tutorial_item_61.html"},
    { "   3.3 Stretching Samples", NULL, "qrc:///help/tutorial_item_62.html"},
    { "   3.4 Enveloped Samples", NULL, "qrc:///help/tutorial_item_63.html"},
    { "   3.5 Partial Samples", NULL, "qrc:///help/tutorial_item_64.html"},
    { "   3.6 External Samples", NULL, "qrc:///help/tutorial_item_65.html"},
    { "4 Randomisation", NULL, "qrc:///help/tutorial_item_66.html"},
    { "5 Programming Structures", NULL, "qrc:///help/tutorial_item_67.html"},
    { "   5.1 Blocks", NULL, "qrc:///help/tutorial_item_68.html"},
    { "   5.2 Iteration and Loops", NULL, "qrc:///help/tutorial_item_69.html"},
    { "   5.3 Conditionals", NULL, "qrc:///help/tutorial_item_70.html"},
    { "   5.4 Threads", NULL, "qrc:///help/tutorial_item_71.html"},
    { "   5.5 Functions", NULL, "qrc:///help/tutorial_item_72.html"},
    { "   5.6 Variables", NULL, "qrc:///help/tutorial_item_73.html"},
    { "   5.7 Thread Synchronisation", NULL, "qrc:///help/tutorial_item_74.html"},
    { "6 FX", NULL, "qrc:///help/tutorial_item_75.html"},
    { "   6.1 Adding FX", NULL, "qrc:///help/tutorial_item_76.html"},
    { "   6.2 FX in Practice", NULL, "qrc:///help/tutorial_item_77.html"},
    { "7 Control", NULL, "qrc:///help/tutorial_item_78.html"},
    { "   7.1 Controlling Running Synths", NULL, "qrc:///help/tutorial_item_79.html"},
    { "   7.2 Controlling FX", NULL, "qrc:///help/tutorial_item_80.html"},
    { "   7.3 Sliding Parameters", NULL, "qrc:///help/tutorial_item_81.html"},
    { "8 Data Structures", NULL, "qrc:///help/tutorial_item_82.html"},
    { "   8.1 Lists", NULL, "qrc:///help/tutorial_item_83.html"},
    { "   8.2 Chords", NULL, "qrc:///help/tutorial_item_84.html"},
    { "   8.3 Scales", NULL, "qrc:///help/tutorial_item_85.html"},
    { "   8.4 Rings", NULL, "qrc:///help/tutorial_item_86.html"},
    { "9 Live Coding", NULL, "qrc:///help/tutorial_item_87.html"},
    { "   9.1 Live Coding Fundamentals", NULL, "qrc:///help/tutorial_item_88.html"},
    { "   9.2 Live Loops", NULL, "qrc:///help/tutorial_item_89.html"},
    { "   9.3 Multiple Live Loops", NULL, "qrc:///help/tutorial_item_90.html"},
    { "   9.4 Ticking", NULL, "qrc:///help/tutorial_item_91.html"},
    { "10 Essential Knowledge", NULL, "qrc:///help/tutorial_item_92.html"},
    { "   10.1 Using Shortcuts", NULL, "qrc:///help/tutorial_item_93.html"},
    { "   10.2 Shortcut Cheatsheet", NULL, "qrc:///help/tutorial_item_94.html"},
    { "   10.3 Sharing", NULL, "qrc:///help/tutorial_item_95.html"},
    { "   10.4 Performing", NULL, "qrc:///help/tutorial_item_96.html"},
    { "11 Minecraft Pi", NULL, "qrc:///help/tutorial_item_97.html"},
    { "   11.1 Basic API", NULL, "qrc:///help/tutorial_item_98.html"},
    { "12 Conclusions", NULL, "qrc:///help/tutorial_item_99.html"},
  };

  addHelpPage(createHelpTab(tr("Tutorial")), tutorialHelpPages, 50);

}

  // examples info
  struct help_page examplesHelpPages[] = {
    { "[Apprentice] Haunted", NULL, "qrc:///help/examples_item_100.html"},
    { "[Illusionist] Filtered Dnb", NULL, "qrc:///help/examples_item_101.html"},
    { "[Illusionist] Jungle", NULL, "qrc:///help/examples_item_102.html"},
    { "[Illusionist] Fm Noise", NULL, "qrc:///help/examples_item_103.html"},
    { "[Illusionist] Ocean", NULL, "qrc:///help/examples_item_104.html"},
    { "[Illusionist] Reich Phase", NULL, "qrc:///help/examples_item_105.html"},
    { "[Magician] Echo Drama", NULL, "qrc:///help/examples_item_106.html"},
    { "[Magician] Compus Beats", NULL, "qrc:///help/examples_item_107.html"},
    { "[Magician] Tron Bike", NULL, "qrc:///help/examples_item_108.html"},
    { "[Magician] Ambient", NULL, "qrc:///help/examples_item_109.html"},
    { "[Magician] Wob Rhyth", NULL, "qrc:///help/examples_item_110.html"},
    { "[Magician] Acid", NULL, "qrc:///help/examples_item_111.html"},
    { "[Magician] Idm Breakbeat", NULL, "qrc:///help/examples_item_112.html"},
    { "[Sorcerer] Rerezzed", NULL, "qrc:///help/examples_item_113.html"},
    { "[Sorcerer] Bach", NULL, "qrc:///help/examples_item_114.html"},
    { "[Sorcerer] Monday Blues", NULL, "qrc:///help/examples_item_115.html"},
    { "[Sorcerer] Square Skit", NULL, "qrc:///help/examples_item_116.html"},
    { "[Sorcerer] Driving Pulse", NULL, "qrc:///help/examples_item_117.html"},
    { "[Wizard] Tilburg", NULL, "qrc:///help/examples_item_118.html"},
    { "[Wizard] Shufflit", NULL, "qrc:///help/examples_item_119.html"},
    { "[Wizard] Blimp Zones", NULL, "qrc:///help/examples_item_120.html"},
    { "[Wizard] Blip Rhythm", NULL, "qrc:///help/examples_item_121.html"},
    { "[Wizard] Time Machine", NULL, "qrc:///help/examples_item_122.html"},
    { "[Algomancer] Sonic Dreams", NULL, "qrc:///help/examples_item_123.html"},
  };

  addHelpPage(createHelpTab(tr("Examples")), examplesHelpPages, 24);


  // synths info
  struct help_page synthsHelpPages[] = {
    { "Beep", "beep", "qrc:///help/synths_item_124.html"},
    { "Blade", "blade", "qrc:///help/synths_item_125.html"},
    { "Bnoise", "bnoise", "qrc:///help/synths_item_126.html"},
    { "Cnoise", "cnoise", "qrc:///help/synths_item_127.html"},
    { "Dark Ambience", "dark_ambience", "qrc:///help/synths_item_128.html"},
    { "Dsaw", "dsaw", "qrc:///help/synths_item_129.html"},
    { "Dull Bell", "dull_bell", "qrc:///help/synths_item_130.html"},
    { "Fm", "fm", "qrc:///help/synths_item_131.html"},
    { "Gnoise", "gnoise", "qrc:///help/synths_item_132.html"},
    { "Growl", "growl", "qrc:///help/synths_item_133.html"},
    { "Hollow", "hollow", "qrc:///help/synths_item_134.html"},
    { "Hoover", "hoover", "qrc:///help/synths_item_135.html"},
    { "Mod Beep", "mod_beep", "qrc:///help/synths_item_136.html"},
    { "Mod Dsaw", "mod_dsaw", "qrc:///help/synths_item_137.html"},
    { "Mod Fm", "mod_fm", "qrc:///help/synths_item_138.html"},
    { "Mod Pulse", "mod_pulse", "qrc:///help/synths_item_139.html"},
    { "Mod Saw", "mod_saw", "qrc:///help/synths_item_140.html"},
    { "Mod Sine", "mod_sine", "qrc:///help/synths_item_141.html"},
    { "Mod Tri", "mod_tri", "qrc:///help/synths_item_142.html"},
    { "Noise", "noise", "qrc:///help/synths_item_143.html"},
    { "Piano", "piano", "qrc:///help/synths_item_144.html"},
    { "Pnoise", "pnoise", "qrc:///help/synths_item_145.html"},
    { "Pretty Bell", "pretty_bell", "qrc:///help/synths_item_146.html"},
    { "Prophet", "prophet", "qrc:///help/synths_item_147.html"},
    { "Pulse", "pulse", "qrc:///help/synths_item_148.html"},
    { "Saw", "saw", "qrc:///help/synths_item_149.html"},
    { "Sine", "sine", "qrc:///help/synths_item_150.html"},
    { "Square", "square", "qrc:///help/synths_item_151.html"},
    { "Subpulse", "subpulse", "qrc:///help/synths_item_152.html"},
    { "Supersaw", "supersaw", "qrc:///help/synths_item_153.html"},
    { "Tb303", "tb303", "qrc:///help/synths_item_154.html"},
    { "Tri", "tri", "qrc:///help/synths_item_155.html"},
    { "Zawa", "zawa", "qrc:///help/synths_item_156.html"},
  };

  addHelpPage(createHelpTab(tr("Synths")), synthsHelpPages, 33);


  // fx info
  struct help_page fxHelpPages[] = {
    { "Bitcrusher", "bitcrusher", "qrc:///help/fx_item_157.html"},
    { "BPF", "bpf", "qrc:///help/fx_item_158.html"},
    { "Compressor", "compressor", "qrc:///help/fx_item_159.html"},
    { "Distortion", "distortion", "qrc:///help/fx_item_160.html"},
    { "Echo", "echo", "qrc:///help/fx_item_161.html"},
    { "Flanger", "flanger", "qrc:///help/fx_item_162.html"},
    { "HPF", "hpf", "qrc:///help/fx_item_163.html"},
    { "Ixi Techno", "ixi_techno", "qrc:///help/fx_item_164.html"},
    { "Krush", "krush", "qrc:///help/fx_item_165.html"},
    { "Level", "level", "qrc:///help/fx_item_166.html"},
    { "LPF", "lpf", "qrc:///help/fx_item_167.html"},
    { "NBPF", "nbpf", "qrc:///help/fx_item_168.html"},
    { "NHPF", "nhpf", "qrc:///help/fx_item_169.html"},
    { "NLPF", "nlpf", "qrc:///help/fx_item_170.html"},
    { "Normaliser", "normaliser", "qrc:///help/fx_item_171.html"},
    { "NRBPF", "nrbpf", "qrc:///help/fx_item_172.html"},
    { "NRHPF", "nrhpf", "qrc:///help/fx_item_173.html"},
    { "NRLPF", "nrlpf", "qrc:///help/fx_item_174.html"},
    { "Pan", "pan", "qrc:///help/fx_item_175.html"},
    { "Panslicer", "panslicer", "qrc:///help/fx_item_176.html"},
    { "Pitch Shift", "pitch_shift", "qrc:///help/fx_item_177.html"},
    { "RBPF", "rbpf", "qrc:///help/fx_item_178.html"},
    { "Reverb", "reverb", "qrc:///help/fx_item_179.html"},
    { "RHPF", "rhpf", "qrc:///help/fx_item_180.html"},
    { "Ring Mod", "ring_mod", "qrc:///help/fx_item_181.html"},
    { "RLPF", "rlpf", "qrc:///help/fx_item_182.html"},
    { "Slicer", "slicer", "qrc:///help/fx_item_183.html"},
    { "Wobble", "wobble", "qrc:///help/fx_item_184.html"},
  };

  addHelpPage(createHelpTab(tr("Fx")), fxHelpPages, 28);


  // samples info
  struct help_page samplesHelpPages[] = {
    { "Ambient Sounds", NULL, "qrc:///help/samples_item_185.html"},
    { "Bass Drums", NULL, "qrc:///help/samples_item_186.html"},
    { "Bass Sounds", NULL, "qrc:///help/samples_item_187.html"},
    { "Drum Sounds", NULL, "qrc:///help/samples_item_188.html"},
    { "Electric Sounds", NULL, "qrc:///help/samples_item_189.html"},
    { "Miscellaneous Sounds", NULL, "qrc:///help/samples_item_190.html"},
    { "Percussive Sounds", NULL, "qrc:///help/samples_item_191.html"},
    { "Snare Drums", NULL, "qrc:///help/samples_item_192.html"},
    { "Sounds featuring guitars", NULL, "qrc:///help/samples_item_193.html"},
    { "Sounds for Looping", NULL, "qrc:///help/samples_item_194.html"},
  };

  addHelpPage(createHelpTab(tr("Samples")), samplesHelpPages, 10);


  // lang info
  struct help_page langHelpPages[] = {
    { "all_sample_names", "all_sample_names", "qrc:///help/lang_item_195.html"},
    { "at", "at", "qrc:///help/lang_item_196.html"},
    { "bools", "bools", "qrc:///help/lang_item_197.html"},
    { "choose", "choose", "qrc:///help/lang_item_198.html"},
    { "chord", "chord", "qrc:///help/lang_item_199.html"},
    { "chord_degree", "chord_degree", "qrc:///help/lang_item_200.html"},
    { "chord_names", "chord_names", "qrc:///help/lang_item_201.html"},
    { "comment", "comment", "qrc:///help/lang_item_202.html"},
    { "control", "control", "qrc:///help/lang_item_203.html"},
    { "cue", "cue", "qrc:///help/lang_item_204.html"},
    { "current_arg_checks", "current_arg_checks", "qrc:///help/lang_item_205.html"},
    { "current_beat_duration", "current_beat_duration", "qrc:///help/lang_item_206.html"},
    { "current_bpm", "current_bpm", "qrc:///help/lang_item_207.html"},
    { "current_debug", "current_debug", "qrc:///help/lang_item_208.html"},
    { "current_sample_defaults", "current_sample_defaults", "qrc:///help/lang_item_209.html"},
    { "current_sample_pack", "current_sample_pack", "qrc:///help/lang_item_210.html"},
    { "current_sample_pack_aliases", "current_sample_pack_aliases", "qrc:///help/lang_item_211.html"},
    { "current_sched_ahead_time", "current_sched_ahead_time", "qrc:///help/lang_item_212.html"},
    { "current_synth", "current_synth", "qrc:///help/lang_item_213.html"},
    { "current_synth_defaults", "current_synth_defaults", "qrc:///help/lang_item_214.html"},
    { "current_transpose", "current_transpose", "qrc:///help/lang_item_215.html"},
    { "current_volume", "current_volume", "qrc:///help/lang_item_216.html"},
    { "dec", "dec", "qrc:///help/lang_item_217.html"},
    { "define", "define", "qrc:///help/lang_item_218.html"},
    { "defonce", "defonce", "qrc:///help/lang_item_219.html"},
    { "degree", "degree", "qrc:///help/lang_item_220.html"},
    { "density", "density", "qrc:///help/lang_item_221.html"},
    { "dice", "dice", "qrc:///help/lang_item_222.html"},
    { "factor?", "factor?", "qrc:///help/lang_item_223.html"},
    { "hz_to_midi", "hz_to_midi", "qrc:///help/lang_item_224.html"},
    { "in_thread", "in_thread", "qrc:///help/lang_item_225.html"},
    { "inc", "inc", "qrc:///help/lang_item_226.html"},
    { "invert_chord", "invert_chord", "qrc:///help/lang_item_227.html"},
    { "kill", "kill", "qrc:///help/lang_item_228.html"},
    { "knit", "knit", "qrc:///help/lang_item_229.html"},
    { "line", "line", "qrc:///help/lang_item_230.html"},
    { "live_loop", "live_loop", "qrc:///help/lang_item_231.html"},
    { "load_sample", "load_sample", "qrc:///help/lang_item_232.html"},
    { "load_samples", "load_samples", "qrc:///help/lang_item_233.html"},
    { "load_synthdefs", "load_synthdefs", "qrc:///help/lang_item_234.html"},
    { "look", "look", "qrc:///help/lang_item_235.html"},
    { "mc_block_id", "mc_block_id", "qrc:///help/lang_item_236.html"},
    { "mc_block_ids", "mc_block_ids", "qrc:///help/lang_item_237.html"},
    { "mc_block_name", "mc_block_name", "qrc:///help/lang_item_238.html"},
    { "mc_block_names", "mc_block_names", "qrc:///help/lang_item_239.html"},
    { "mc_camera_fixed", "mc_camera_fixed", "qrc:///help/lang_item_240.html"},
    { "mc_camera_normal", "mc_camera_normal", "qrc:///help/lang_item_241.html"},
    { "mc_camera_set_location", "mc_camera_set_location", "qrc:///help/lang_item_242.html"},
    { "mc_camera_third_person", "mc_camera_third_person", "qrc:///help/lang_item_243.html"},
    { "mc_chat_post", "mc_chat_post", "qrc:///help/lang_item_244.html"},
    { "mc_checkpoint_restore", "mc_checkpoint_restore", "qrc:///help/lang_item_245.html"},
    { "mc_checkpoint_save", "mc_checkpoint_save", "qrc:///help/lang_item_246.html"},
    { "mc_get_block", "mc_get_block", "qrc:///help/lang_item_247.html"},
    { "mc_get_height", "mc_get_height", "qrc:///help/lang_item_248.html"},
    { "mc_get_pos", "mc_get_pos", "qrc:///help/lang_item_249.html"},
    { "mc_get_tile", "mc_get_tile", "qrc:///help/lang_item_250.html"},
    { "mc_ground_height", "mc_ground_height", "qrc:///help/lang_item_251.html"},
    { "mc_location", "mc_location", "qrc:///help/lang_item_252.html"},
    { "mc_message", "mc_message", "qrc:///help/lang_item_253.html"},
    { "mc_set_area", "mc_set_area", "qrc:///help/lang_item_254.html"},
    { "mc_set_block", "mc_set_block", "qrc:///help/lang_item_255.html"},
    { "mc_set_pos", "mc_set_pos", "qrc:///help/lang_item_256.html"},
    { "mc_set_tile", "mc_set_tile", "qrc:///help/lang_item_257.html"},
    { "mc_surface_teleport", "mc_surface_teleport", "qrc:///help/lang_item_258.html"},
    { "mc_teleport", "mc_teleport", "qrc:///help/lang_item_259.html"},
    { "midi_to_hz", "midi_to_hz", "qrc:///help/lang_item_260.html"},
    { "ndefine", "ndefine", "qrc:///help/lang_item_261.html"},
    { "note", "note", "qrc:///help/lang_item_262.html"},
    { "note_info", "note_info", "qrc:///help/lang_item_263.html"},
    { "note_range", "note_range", "qrc:///help/lang_item_264.html"},
    { "one_in", "one_in", "qrc:///help/lang_item_265.html"},
    { "pitch_to_ratio", "pitch_to_ratio", "qrc:///help/lang_item_266.html"},
    { "play", "play", "qrc:///help/lang_item_267.html"},
    { "play_chord", "play_chord", "qrc:///help/lang_item_268.html"},
    { "play_pattern", "play_pattern", "qrc:///help/lang_item_269.html"},
    { "play_pattern_timed", "play_pattern_timed", "qrc:///help/lang_item_270.html"},
    { "print", "print", "qrc:///help/lang_item_271.html"},
    { "puts", "puts", "qrc:///help/lang_item_272.html"},
    { "quantise", "quantise", "qrc:///help/lang_item_273.html"},
    { "ramp", "ramp", "qrc:///help/lang_item_274.html"},
    { "rand", "rand", "qrc:///help/lang_item_275.html"},
    { "rand_i", "rand_i", "qrc:///help/lang_item_276.html"},
    { "range", "range", "qrc:///help/lang_item_277.html"},
    { "rdist", "rdist", "qrc:///help/lang_item_278.html"},
    { "rest?", "rest?", "qrc:///help/lang_item_279.html"},
    { "ring", "ring", "qrc:///help/lang_item_280.html"},
    { "rrand", "rrand", "qrc:///help/lang_item_281.html"},
    { "rrand_i", "rrand_i", "qrc:///help/lang_item_282.html"},
    { "rt", "rt", "qrc:///help/lang_item_283.html"},
    { "sample", "sample", "qrc:///help/lang_item_284.html"},
    { "sample_buffer", "sample_buffer", "qrc:///help/lang_item_285.html"},
    { "sample_duration", "sample_duration", "qrc:///help/lang_item_286.html"},
    { "sample_groups", "sample_groups", "qrc:///help/lang_item_287.html"},
    { "sample_info", "sample_info", "qrc:///help/lang_item_288.html"},
    { "sample_loaded?", "sample_loaded?", "qrc:///help/lang_item_289.html"},
    { "sample_names", "sample_names", "qrc:///help/lang_item_290.html"},
    { "scale", "scale", "qrc:///help/lang_item_291.html"},
    { "scale_names", "scale_names", "qrc:///help/lang_item_292.html"},
    { "set_control_delta!", "set_control_delta!", "qrc:///help/lang_item_293.html"},
    { "set_sched_ahead_time!", "set_sched_ahead_time!", "qrc:///help/lang_item_294.html"},
    { "set_volume!", "set_volume!", "qrc:///help/lang_item_295.html"},
    { "shuffle", "shuffle", "qrc:///help/lang_item_296.html"},
    { "sleep", "sleep", "qrc:///help/lang_item_297.html"},
    { "spark", "spark", "qrc:///help/lang_item_298.html"},
    { "spark_graph", "spark_graph", "qrc:///help/lang_item_299.html"},
    { "spread", "spread", "qrc:///help/lang_item_300.html"},
    { "status", "status", "qrc:///help/lang_item_301.html"},
    { "stop", "stop", "qrc:///help/lang_item_302.html"},
    { "stretch", "stretch", "qrc:///help/lang_item_303.html"},
    { "sync", "sync", "qrc:///help/lang_item_304.html"},
    { "synth", "synth", "qrc:///help/lang_item_305.html"},
    { "tick", "tick", "qrc:///help/lang_item_306.html"},
    { "tick_reset", "tick_reset", "qrc:///help/lang_item_307.html"},
    { "tick_reset_all", "tick_reset_all", "qrc:///help/lang_item_308.html"},
    { "tick_set", "tick_set", "qrc:///help/lang_item_309.html"},
    { "uncomment", "uncomment", "qrc:///help/lang_item_310.html"},
    { "use_arg_bpm_scaling", "use_arg_bpm_scaling", "qrc:///help/lang_item_311.html"},
    { "use_arg_checks", "use_arg_checks", "qrc:///help/lang_item_312.html"},
    { "use_bpm", "use_bpm", "qrc:///help/lang_item_313.html"},
    { "use_bpm_mul", "use_bpm_mul", "qrc:///help/lang_item_314.html"},
    { "use_cue_logging", "use_cue_logging", "qrc:///help/lang_item_315.html"},
    { "use_debug", "use_debug", "qrc:///help/lang_item_316.html"},
    { "use_merged_synth_defaults", "use_merged_synth_defaults", "qrc:///help/lang_item_317.html"},
    { "use_random_seed", "use_random_seed", "qrc:///help/lang_item_318.html"},
    { "use_sample_bpm", "use_sample_bpm", "qrc:///help/lang_item_319.html"},
    { "use_sample_defaults", "use_sample_defaults", "qrc:///help/lang_item_320.html"},
    { "use_sample_pack", "use_sample_pack", "qrc:///help/lang_item_321.html"},
    { "use_sample_pack_as", "use_sample_pack_as", "qrc:///help/lang_item_322.html"},
    { "use_synth", "use_synth", "qrc:///help/lang_item_323.html"},
    { "use_synth_defaults", "use_synth_defaults", "qrc:///help/lang_item_324.html"},
    { "use_transpose", "use_transpose", "qrc:///help/lang_item_325.html"},
    { "use_tuning", "use_tuning", "qrc:///help/lang_item_326.html"},
    { "vector", "vector", "qrc:///help/lang_item_327.html"},
    { "version", "version", "qrc:///help/lang_item_328.html"},
    { "vt", "vt", "qrc:///help/lang_item_329.html"},
    { "wait", "wait", "qrc:///help/lang_item_330.html"},
    { "with_arg_bpm_scaling", "with_arg_bpm_scaling", "qrc:///help/lang_item_331.html"},
    { "with_arg_checks", "with_arg_checks", "qrc:///help/lang_item_332.html"},
    { "with_bpm", "with_bpm", "qrc:///help/lang_item_333.html"},
    { "with_bpm_mul", "with_bpm_mul", "qrc:///help/lang_item_334.html"},
    { "with_cue_logging", "with_cue_logging", "qrc:///help/lang_item_335.html"},
    { "with_debug", "with_debug", "qrc:///help/lang_item_336.html"},
    { "with_fx", "with_fx", "qrc:///help/lang_item_337.html"},
    { "with_merged_synth_defaults", "with_merged_synth_defaults", "qrc:///help/lang_item_338.html"},
    { "with_random_seed", "with_random_seed", "qrc:///help/lang_item_339.html"},
    { "with_sample_bpm", "with_sample_bpm", "qrc:///help/lang_item_340.html"},
    { "with_sample_defaults", "with_sample_defaults", "qrc:///help/lang_item_341.html"},
    { "with_sample_pack", "with_sample_pack", "qrc:///help/lang_item_342.html"},
    { "with_sample_pack_as", "with_sample_pack_as", "qrc:///help/lang_item_343.html"},
    { "with_synth", "with_synth", "qrc:///help/lang_item_344.html"},
    { "with_synth_defaults", "with_synth_defaults", "qrc:///help/lang_item_345.html"},
    { "with_transpose", "with_transpose", "qrc:///help/lang_item_346.html"},
    { "with_tuning", "with_tuning", "qrc:///help/lang_item_347.html"},
  };

  addHelpPage(createHelpTab(tr("Lang")), langHelpPages, 153);

  // FX arguments for autocompletion
  QStringList fxtmp;
  // fx :bitcrusher
  fxtmp.clear(); fxtmp << "amp:" << "mix:" << "pre_amp:" << "sample_rate:" << "bits:" ;
  autocomplete->addFXArgs(":bitcrusher", fxtmp);

  // fx :krush
  fxtmp.clear(); fxtmp << "amp:" << "mix:" << "pre_amp:" << "gain:" << "cutoff:" << "res:" ;
  autocomplete->addFXArgs(":krush", fxtmp);

  // fx :reverb
  fxtmp.clear(); fxtmp << "amp:" << "mix:" << "pre_amp:" << "room:" << "damp:" ;
  autocomplete->addFXArgs(":reverb", fxtmp);

  // fx :level
  fxtmp.clear(); fxtmp << "amp:" ;
  autocomplete->addFXArgs(":level", fxtmp);

  // fx :echo
  fxtmp.clear(); fxtmp << "amp:" << "mix:" << "pre_amp:" << "phase:" << "decay:" << "max_phase:" ;
  autocomplete->addFXArgs(":echo", fxtmp);

  // fx :slicer
  fxtmp.clear(); fxtmp << "amp:" << "mix:" << "pre_amp:" << "phase:" << "pan_min:" << "pan_max:" << "pulse_width:" << "phase_offset:" << "wave:" << "invert_wave:" << "probability:" << "prob_pos:" << "seed:" << "smooth:" << "smooth_up:" << "smooth_down:" ;
  autocomplete->addFXArgs(":slicer", fxtmp);

  // fx :panslicer
  fxtmp.clear(); fxtmp << "amp:" << "mix:" << "pre_amp:" << "phase:" << "pan_min:" << "pan_max:" << "pulse_width:" << "phase_offset:" << "wave:" << "invert_wave:" << "probability:" << "prob_pos:" << "seed:" << "smooth:" << "smooth_up:" << "smooth_down:" ;
  autocomplete->addFXArgs(":panslicer", fxtmp);

  // fx :wobble
  fxtmp.clear(); fxtmp << "amp:" << "mix:" << "pre_amp:" << "phase:" << "cutoff_min:" << "cutoff_max:" << "res:" << "phase_offset:" << "wave:" << "invert_wave:" << "pulse_width:" << "filter:" << "probability:" << "prob_pos:" << "seed:" << "smooth:" << "smooth_up:" << "smooth_down:" ;
  autocomplete->addFXArgs(":wobble", fxtmp);

  // fx :ixi_techno
  fxtmp.clear(); fxtmp << "amp:" << "mix:" << "pre_amp:" << "phase:" << "phase_offset:" << "cutoff_min:" << "cutoff_max:" << "res:" ;
  autocomplete->addFXArgs(":ixi_techno", fxtmp);

  // fx :compressor
  fxtmp.clear(); fxtmp << "amp:" << "mix:" << "pre_amp:" << "threshold:" << "clamp_time:" << "slope_above:" << "slope_below:" << "relax_time:" ;
  autocomplete->addFXArgs(":compressor", fxtmp);

  // fx :rlpf
  fxtmp.clear(); fxtmp << "amp:" << "mix:" << "pre_amp:" << "cutoff:" << "res:" ;
  autocomplete->addFXArgs(":rlpf", fxtmp);

  // fx :nrlpf
  fxtmp.clear(); fxtmp << "amp:" << "mix:" << "pre_amp:" << "cutoff:" << "res:" ;
  autocomplete->addFXArgs(":nrlpf", fxtmp);

  // fx :rhpf
  fxtmp.clear(); fxtmp << "amp:" << "mix:" << "pre_amp:" << "cutoff:" << "res:" ;
  autocomplete->addFXArgs(":rhpf", fxtmp);

  // fx :nrhpf
  fxtmp.clear(); fxtmp << "amp:" << "mix:" << "pre_amp:" << "cutoff:" << "res:" ;
  autocomplete->addFXArgs(":nrhpf", fxtmp);

  // fx :hpf
  fxtmp.clear(); fxtmp << "amp:" << "mix:" << "pre_amp:" << "cutoff:" ;
  autocomplete->addFXArgs(":hpf", fxtmp);

  // fx :nhpf
  fxtmp.clear(); fxtmp << "amp:" << "mix:" << "pre_amp:" << "cutoff:" << "res:" ;
  autocomplete->addFXArgs(":nhpf", fxtmp);

  // fx :lpf
  fxtmp.clear(); fxtmp << "amp:" << "mix:" << "pre_amp:" << "cutoff:" ;
  autocomplete->addFXArgs(":lpf", fxtmp);

  // fx :nlpf
  fxtmp.clear(); fxtmp << "amp:" << "mix:" << "pre_amp:" << "cutoff:" ;
  autocomplete->addFXArgs(":nlpf", fxtmp);

  // fx :normaliser
  fxtmp.clear(); fxtmp << "amp:" << "mix:" << "pre_amp:" << "level:" ;
  autocomplete->addFXArgs(":normaliser", fxtmp);

  // fx :distortion
  fxtmp.clear(); fxtmp << "amp:" << "mix:" << "pre_amp:" << "distort:" ;
  autocomplete->addFXArgs(":distortion", fxtmp);

  // fx :pan
  fxtmp.clear(); fxtmp << "amp:" << "mix:" << "pre_amp:" << "pan:" ;
  autocomplete->addFXArgs(":pan", fxtmp);

  // fx :bpf
  fxtmp.clear(); fxtmp << "amp:" << "mix:" << "pre_amp:" << "centre:" ;
  autocomplete->addFXArgs(":bpf", fxtmp);

  // fx :nbpf
  fxtmp.clear(); fxtmp << "amp:" << "mix:" << "pre_amp:" << "centre:" ;
  autocomplete->addFXArgs(":nbpf", fxtmp);

  // fx :rbpf
  fxtmp.clear(); fxtmp << "amp:" << "mix:" << "pre_amp:" << "centre:" << "res:" ;
  autocomplete->addFXArgs(":rbpf", fxtmp);

  // fx :nrbpf
  fxtmp.clear(); fxtmp << "amp:" << "mix:" << "pre_amp:" << "centre:" << "res:" ;
  autocomplete->addFXArgs(":nrbpf", fxtmp);

  // fx :pitch_shift
  fxtmp.clear(); fxtmp << "amp:" << "pre_amp:" << "mix:" << "window_size:" << "pitch:" << "pitch_dis:" << "time_dis:" ;
  autocomplete->addFXArgs(":pitch_shift", fxtmp);

  // fx :ring_mod
  fxtmp.clear(); fxtmp << "freq:" << "amp:" << "mix:" << "pre_amp:" << "mod_amp:" ;
  autocomplete->addFXArgs(":ring_mod", fxtmp);

  // fx :flanger
  fxtmp.clear(); fxtmp << "amp:" << "mix:" << "pre_amp:" << "phase:" << "phase_offset:" << "wave:" << "invert_wave:" << "stereo_invert_wave:" << "delay:" << "max_delay:" << "depth:" << "decay:" << "feedback:" << "invert_flange:" ;
  autocomplete->addFXArgs(":flanger", fxtmp);

  // synth :dull_bell
  fxtmp.clear(); fxtmp << "note:" << "amp:" << "pan:" << "attack:" << "decay:" << "sustain:" << "release:" << "attack_level:" << "sustain_level:" << "env_curve:" ;
  autocomplete->addSynthArgs(":dull_bell", fxtmp);

  // synth :pretty_bell
  fxtmp.clear(); fxtmp << "note:" << "amp:" << "pan:" << "attack:" << "decay:" << "sustain:" << "release:" << "attack_level:" << "sustain_level:" << "env_curve:" ;
  autocomplete->addSynthArgs(":pretty_bell", fxtmp);

  // synth :beep
  fxtmp.clear(); fxtmp << "note:" << "amp:" << "pan:" << "attack:" << "decay:" << "sustain:" << "release:" << "attack_level:" << "sustain_level:" << "env_curve:" ;
  autocomplete->addSynthArgs(":beep", fxtmp);

  // synth :sine
  fxtmp.clear(); fxtmp << "note:" << "amp:" << "pan:" << "attack:" << "decay:" << "sustain:" << "release:" << "attack_level:" << "sustain_level:" << "env_curve:" ;
  autocomplete->addSynthArgs(":sine", fxtmp);

  // synth :saw
  fxtmp.clear(); fxtmp << "note:" << "amp:" << "pan:" << "attack:" << "decay:" << "sustain:" << "release:" << "attack_level:" << "sustain_level:" << "env_curve:" ;
  autocomplete->addSynthArgs(":saw", fxtmp);

  // synth :pulse
  fxtmp.clear(); fxtmp << "note:" << "amp:" << "pan:" << "attack:" << "decay:" << "sustain:" << "release:" << "attack_level:" << "sustain_level:" << "env_curve:" << "cutoff:" << "pulse_width:" ;
  autocomplete->addSynthArgs(":pulse", fxtmp);

  // synth :subpulse
  fxtmp.clear(); fxtmp << "note:" << "amp:" << "pan:" << "attack:" << "decay:" << "sustain:" << "release:" << "attack_level:" << "sustain_level:" << "env_curve:" << "cutoff:" << "pulse_width:" << "sub_amp:" << "sub_detune:" ;
  autocomplete->addSynthArgs(":subpulse", fxtmp);

  // synth :square
  fxtmp.clear(); fxtmp << "note:" << "amp:" << "pan:" << "attack:" << "decay:" << "sustain:" << "release:" << "attack_level:" << "sustain_level:" << "env_curve:" << "cutoff:" ;
  autocomplete->addSynthArgs(":square", fxtmp);

  // synth :tri
  fxtmp.clear(); fxtmp << "note:" << "amp:" << "pan:" << "attack:" << "decay:" << "sustain:" << "release:" << "attack_level:" << "sustain_level:" << "env_curve:" << "cutoff:" << "pulse_width:" ;
  autocomplete->addSynthArgs(":tri", fxtmp);

  // synth :dsaw
  fxtmp.clear(); fxtmp << "note:" << "amp:" << "pan:" << "attack:" << "decay:" << "sustain:" << "release:" << "attack_level:" << "sustain_level:" << "env_curve:" << "cutoff:" << "detune:" ;
  autocomplete->addSynthArgs(":dsaw", fxtmp);

  // synth :fm
  fxtmp.clear(); fxtmp << "note:" << "amp:" << "pan:" << "attack:" << "decay:" << "sustain:" << "release:" << "attack_level:" << "sustain_level:" << "env_curve:" << "cutoff:" << "divisor:" << "depth:" ;
  autocomplete->addSynthArgs(":fm", fxtmp);

  // synth :mod_fm
  fxtmp.clear(); fxtmp << "note:" << "amp:" << "pan:" << "attack:" << "decay:" << "sustain:" << "release:" << "attack_level:" << "sustain_level:" << "env_curve:" << "cutoff:" << "divisor:" << "depth:" << "mod_phase:" << "mod_range:" << "mod_pulse_width:" << "mod_phase_offset:" << "mod_invert_wave:" << "mod_wave:" ;
  autocomplete->addSynthArgs(":mod_fm", fxtmp);

  // synth :mod_saw
  fxtmp.clear(); fxtmp << "note:" << "amp:" << "pan:" << "attack:" << "decay:" << "sustain:" << "release:" << "attack_level:" << "sustain_level:" << "env_curve:" << "cutoff:" << "mod_phase:" << "mod_range:" << "mod_pulse_width:" << "mod_phase_offset:" << "mod_invert_wave:" << "mod_wave:" ;
  autocomplete->addSynthArgs(":mod_saw", fxtmp);

  // synth :mod_dsaw
  fxtmp.clear(); fxtmp << "note:" << "amp:" << "pan:" << "attack:" << "decay:" << "sustain:" << "release:" << "attack_level:" << "sustain_level:" << "env_curve:" << "cutoff:" << "mod_phase:" << "mod_range:" << "mod_pulse_width:" << "mod_phase_offset:" << "mod_invert_wave:" << "mod_wave:" << "detune:" ;
  autocomplete->addSynthArgs(":mod_dsaw", fxtmp);

  // synth :mod_sine
  fxtmp.clear(); fxtmp << "note:" << "amp:" << "pan:" << "attack:" << "decay:" << "sustain:" << "release:" << "attack_level:" << "sustain_level:" << "env_curve:" << "cutoff:" << "mod_phase:" << "mod_range:" << "mod_pulse_width:" << "mod_phase_offset:" << "mod_invert_wave:" << "mod_wave:" ;
  autocomplete->addSynthArgs(":mod_sine", fxtmp);

  // synth :mod_beep
  fxtmp.clear(); fxtmp << "note:" << "amp:" << "pan:" << "attack:" << "decay:" << "sustain:" << "release:" << "attack_level:" << "sustain_level:" << "env_curve:" << "cutoff:" << "mod_phase:" << "mod_range:" << "mod_pulse_width:" << "mod_phase_offset:" << "mod_invert_wave:" << "mod_wave:" ;
  autocomplete->addSynthArgs(":mod_beep", fxtmp);

  // synth :mod_tri
  fxtmp.clear(); fxtmp << "note:" << "amp:" << "pan:" << "attack:" << "decay:" << "sustain:" << "release:" << "attack_level:" << "sustain_level:" << "env_curve:" << "cutoff:" << "mod_phase:" << "mod_range:" << "mod_pulse_width:" << "mod_phase_offset:" << "mod_invert_wave:" << "mod_wave:" ;
  autocomplete->addSynthArgs(":mod_tri", fxtmp);

  // synth :mod_pulse
  fxtmp.clear(); fxtmp << "note:" << "amp:" << "pan:" << "attack:" << "decay:" << "sustain:" << "release:" << "attack_level:" << "sustain_level:" << "env_curve:" << "cutoff:" << "mod_phase:" << "mod_range:" << "mod_pulse_width:" << "mod_phase_offset:" << "mod_invert_wave:" << "mod_wave:" << "pulse_width:" ;
  autocomplete->addSynthArgs(":mod_pulse", fxtmp);

  // synth :tb303
  fxtmp.clear(); fxtmp << "note:" << "amp:" << "pan:" << "attack:" << "decay:" << "sustain:" << "release:" << "attack_level:" << "sustain_level:" << "env_curve:" << "cutoff:" << "cutoff_min:" << "cutoff_attack:" << "cutoff_decay:" << "cutoff_sustain:" << "cutoff_release:" << "cutoff_attack_level:" << "cutoff_sustain_level:" << "res:" << "wave:" << "pulse_width:" ;
  autocomplete->addSynthArgs(":tb303", fxtmp);

  // synth :supersaw
  fxtmp.clear(); fxtmp << "note:" << "amp:" << "pan:" << "attack:" << "decay:" << "sustain:" << "release:" << "attack_level:" << "sustain_level:" << "env_curve:" << "cutoff:" << "res:" ;
  autocomplete->addSynthArgs(":supersaw", fxtmp);

  // synth :hoover
  fxtmp.clear(); fxtmp << "note:" << "amp:" << "pan:" << "attack:" << "decay:" << "sustain:" << "release:" << "attack_level:" << "sustain_level:" << "env_curve:" << "cutoff:" ;
  autocomplete->addSynthArgs(":hoover", fxtmp);

  // synth :prophet
  fxtmp.clear(); fxtmp << "note:" << "amp:" << "pan:" << "attack:" << "decay:" << "sustain:" << "release:" << "attack_level:" << "sustain_level:" << "env_curve:" << "cutoff:" << "res:" ;
  autocomplete->addSynthArgs(":prophet", fxtmp);

  // synth :zawa
  fxtmp.clear(); fxtmp << "note:" << "amp:" << "pan:" << "attack:" << "decay:" << "sustain:" << "release:" << "attack_level:" << "sustain_level:" << "cutoff:" << "res:" << "phase:" << "phase_offset:" << "wave:" << "invert_wave:" << "range:" << "disable_wave:" << "pulse_width:" ;
  autocomplete->addSynthArgs(":zawa", fxtmp);

  // synth :dark_ambience
  fxtmp.clear(); fxtmp << "note:" << "amp:" << "pan:" << "attack:" << "decay:" << "sustain:" << "release:" << "attack_level:" << "sustain_level:" << "env_curve:" << "cutoff:" << "res:" << "detune1:" << "detune2:" << "noise:" << "ring:" << "room:" << "reverb_time:" ;
  autocomplete->addSynthArgs(":dark_ambience", fxtmp);

  // synth :growl
  fxtmp.clear(); fxtmp << "note:" << "amp:" << "pan:" << "attack:" << "decay:" << "sustain:" << "release:" << "attack_level:" << "sustain_level:" << "env_curve:" << "cutoff:" << "res:" ;
  autocomplete->addSynthArgs(":growl", fxtmp);

  // synth :hollow
  fxtmp.clear(); fxtmp << "note:" << "amp:" << "pan:" << "attack:" << "decay:" << "sustain:" << "release:" << "attack_level:" << "sustain_level:" << "env_curve:" << "cutoff:" << "res:" << "noise:" << "norm:" ;
  autocomplete->addSynthArgs(":hollow", fxtmp);

  // synth :mono_player
  fxtmp.clear(); fxtmp << "amp:" << "pan:" << "attack:" << "decay:" << "sustain:" << "release:" << "attack_level:" << "sustain_level:" << "env_curve:" << "rate:" << "start:" << "finish:" << "res:" << "cutoff:" << "norm:" ;
  autocomplete->addSynthArgs(":mono_player", fxtmp);

  // synth :stereo_player
  fxtmp.clear(); fxtmp << "amp:" << "pan:" << "attack:" << "decay:" << "sustain:" << "release:" << "attack_level:" << "sustain_level:" << "env_curve:" << "rate:" << "start:" << "finish:" << "res:" << "cutoff:" << "norm:" ;
  autocomplete->addSynthArgs(":stereo_player", fxtmp);

  // synth :blade
  fxtmp.clear(); fxtmp << "note:" << "amp:" << "pan:" << "attack:" << "decay:" << "sustain:" << "release:" << "attack_level:" << "sustain_level:" << "env_curve:" << "cutoff:" << "vibrato_rate:" << "vibrato_depth:" << "vibrato_delay:" << "vibrato_onset:" ;
  autocomplete->addSynthArgs(":blade", fxtmp);

  // synth :piano
  fxtmp.clear(); fxtmp << "note:" << "amp:" << "pan:" << "vel:" << "decay:" << "release:" << "hard:" << "stereo_width:" << "cutoff:" << "res:" ;
  autocomplete->addSynthArgs(":piano", fxtmp);

  // synth :sound_in
  fxtmp.clear(); fxtmp << "amp:" << "pan:" << "input:" ;
  autocomplete->addSynthArgs(":sound_in", fxtmp);

  // synth :noise
  fxtmp.clear(); fxtmp << "amp:" << "pan:" << "attack:" << "decay:" << "sustain:" << "release:" << "attack_level:" << "sustain_level:" << "env_curve:" << "cutoff:" << "res:" ;
  autocomplete->addSynthArgs(":noise", fxtmp);

  // synth :pnoise
  fxtmp.clear(); fxtmp << "amp:" << "pan:" << "attack:" << "decay:" << "sustain:" << "release:" << "attack_level:" << "sustain_level:" << "env_curve:" << "cutoff:" << "res:" ;
  autocomplete->addSynthArgs(":pnoise", fxtmp);

  // synth :bnoise
  fxtmp.clear(); fxtmp << "amp:" << "pan:" << "attack:" << "decay:" << "sustain:" << "release:" << "attack_level:" << "sustain_level:" << "env_curve:" << "cutoff:" << "res:" ;
  autocomplete->addSynthArgs(":bnoise", fxtmp);

  // synth :gnoise
  fxtmp.clear(); fxtmp << "amp:" << "pan:" << "attack:" << "decay:" << "sustain:" << "release:" << "attack_level:" << "sustain_level:" << "env_curve:" << "cutoff:" << "res:" ;
  autocomplete->addSynthArgs(":gnoise", fxtmp);

  // synth :cnoise
  fxtmp.clear(); fxtmp << "amp:" << "pan:" << "attack:" << "decay:" << "sustain:" << "release:" << "attack_level:" << "sustain_level:" << "env_curve:" << "cutoff:" << "res:" ;
  autocomplete->addSynthArgs(":cnoise", fxtmp);

  // synth :basic_mono_player
  fxtmp.clear(); fxtmp << "amp:" << "pan:" << "rate:" << "cutoff:" << "res:" << "norm:" ;
  autocomplete->addSynthArgs(":basic_mono_player", fxtmp);

  // synth :basic_stereo_player
  fxtmp.clear(); fxtmp << "amp:" << "pan:" << "rate:" << "cutoff:" << "res:" << "norm:" ;
  autocomplete->addSynthArgs(":basic_stereo_player", fxtmp);

  // synth :basic_mixer
  fxtmp.clear(); fxtmp << "amp:" ;
  autocomplete->addSynthArgs(":basic_mixer", fxtmp);

}
